EDIT - feature request #7232

send events from view to presenter direcly
02/01/2018 03:04 PM - Andreas Kohlbecker

Status: New Start date:

Priority: Priority 11 Due date:

Assignee: Andreas Kohlbecker % Done: 0%
Category: cdm-vaadin Estimated time: 0:00 hour
Target version: Unassigned CDM tickets

Severity: normal

Description

events from view which are dedicated to the according presenter are sent via the viewEventBus.
This a bad idea when working with popup editors. since the event can in principle be dispatched to all presenters that exist in this
view context.

Solutions:

A. Presenters register at the view directly as listener for specific events
B. use a local unscoped event bus that is only connecting view an presenter. Can we use someting from Vaadin4Spring Event Bus?

Related issues:
Related to EDIT - bug #7231: replace the SpringApplicationBus by Vaadin4Sprin... Closed

History

#1 - 02/01/2018 03:04 PM - Andreas Kohlbecker
- Related to bug #7231: replace the SpringApplicationBus by Vaadin4Spring Event Bus in scoped contexts added

#2 - 04/09/2018 12:17 PM - Andreas Kohlbecker

- Tracker changed from bug to feature request

#3 - 06/08/2018 05:59 PM - Andreas Kohlbecker
- Priority changed from New to Priority11
